[arch-commits] Commit in libatasmart (gnome-unstable trunk/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Oct 11 17:42:30 EDT 2009


    Date: Sunday, October 11, 2009 @ 17:42:30
  Author: jgc
Revision: 55046

Merge gnome-unstable

Added:
  libatasmart/trunk/PKGBUILD
    (from rev 55045, libatasmart/gnome-unstable/PKGBUILD)
Deleted:
  libatasmart/gnome-unstable/

----------+
 PKGBUILD |   22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

Copied: libatasmart/trunk/PKGBUILD (from rev 55045, libatasmart/gnome-unstable/PKGBUILD)
===================================================================
--- trunk/PKGBUILD	                        (rev 0)
+++ trunk/PKGBUILD	2009-10-11 21:42:30 UTC (rev 55046)
@@ -0,0 +1,22 @@
+# $Id: $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=libatasmart
+pkgver=0.14
+pkgrel=1
+pkgdesc="ATA S.M.A.R.T. Reading and Parsing Library"
+arch=(i686 x86_64)
+license=('LGPL')
+depends=('udev>=145')
+url="http://0pointer.de/blog/projects/being-smart.html"
+options=(!libtool)
+source=(http://0pointer.de/public/${pkgname}-${pkgver}.tar.gz)
+md5sums=('5f8bef94ed2b65748a6e37c059b81042')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+      --disable-static || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+}



More information about the arch-commits mailing list